=== tests/integration/deckard/requirements.txt ===
dnspython>=1.15
dpkt
Jinja2>=2.10.2
PyYAML
python-augeas
pytest>=3.4
pytest-xdist
pyroute2
