=== debian/changelog ===
knot-resolver (5.3.1-1+deb11u1) bullseye; urgency=medium

  * Fix possible assertion failure in NSEC3 edge-case (CVE-2021-40083)
    (Closes: #991463)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 16:20:00 +0000

knot-resolver (5.3.1-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release

  [ Santiago Ruano Rincón ]
  * Fix unaligned access and SIGBUS on armhf, and then the autopkgtest on
    armhf at ci.debian.net (Closes: #918248)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 12 Apr 2021 07:59:28 +0200

knot-resolver (5.3.0-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release

  [ Santiago Ruano Rincón ]
  * Add Portuguese debconf template translation (Closes: #982329)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 03 Mar 2021 15:11:51 +0100
