## knot-resolver 5.4.4

=== meson_options.txt ===
--- 
+++ 
@@ -52,18 +52,6 @@
 )
 
 option(
-  'verbose_log',
-  type: 'combo',
-  choices: [
-    'auto',
-    'enabled',
-    'disabled',
-  ],
-  value: 'auto',
-  description: 'support verbose logging',
-)
-
-option(
   'user',
   type: 'string',
   value: 'knot-resolver',
@@ -176,6 +164,13 @@
 )
 
 option(
+  'kres_gen_test',
+  type: 'boolean',
+  value: true,
+  description: 'run kres_gen_test: a simple sanity check for our lua bindings',
+)
+
+option(
   'config_tests',
   type: 'combo',
   choices: [
