=== debian/changelog ===
knot-resolver (5.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 05 Jan 2022 17:35:35 +0000

knot-resolver (5.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Dec 2021 15:34:11 +0000

knot-resolver (5.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 18 Oct 2021 13:56:09 +0000

knot-resolver (5.4.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 14:14:14 +0000

knot-resolver (5.4.1-1) experimental; urgency=medium

  * New upstream release
    - Compatible with Knot DNS 3.1
    - Includes fix for CVE-2021-40083 (Closes: #991463)
  * d/control: bump Standards-Version to 4.6.0
  * d/control: add Multi-Arch: same for module-http
  * d/tests: replace `which` with `command -v`

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 25 Aug 2021 12:21:12 +0000

knot-resolver (5.3.2-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release
  * d/patches: remove patch included upstream

  [ Santiago Ruano Rincón ]
  * Add Spanish debconf template translation (Closes: #987594)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 13 May 2021 18:18:18 +0100
