=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                socat <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
 Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
@@ -75,6 +75,7 @@
 
 Package: knot-resolver-module-http
 Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
+Multi-Arch: same
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,
          libjs-d3,
