## knot-resolver 5.5.1

=== debian/changelog ===
knot-resolver (5.5.1-5ubuntu0.22.10.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: denial of service issue when server returns large ns or
    address sets
    - debian/patches/CVE-2022-40188.patch: address throttling introduced for
      large responses.
    - CVE-2022-40188

 -- Evan Caville <evan.caville@canonical.com>  Wed, 28 Jun 2023 11:50:53 +1000

knot-resolver (5.5.1-5) unstable; urgency=medium

  * d/control: remove ppc64el from module-http

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 05 Aug 2022 16:59:22 +0000

knot-resolver (5.5.1-4) unstable; urgency=medium

  * d/control: remove broken ppc64el and s390x arches

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Aug 2022 10:09:52 +0000

knot-resolver (5.5.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 27 Jul 2022 08:14:55 +0000

knot-resolver (5.5.1-2) experimental; urgency=medium

  * Use experimental to test luajit2 (Closes: #1013810)
  * d/control: enable s390x due to luajit2 support

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Sun, 03 Jul 2022 18:19:14 +0000

knot-resolver (5.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 14 Jun 2022 13:20:04 +0000

knot-resolver (5.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/signing-key.asc: update upstream key
  * d/control: require Knot DNS 3.0.2

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 17 Mar 2022 17:34:34 +0000
