=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knot-resolver
 Section: net
 Priority: optional
-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Santiago Ruano Rincón <santiago@debian.org>,
@@ -15,7 +16,7 @@
                libedit-dev,
                libfstrm-dev,
                libgnutls28-dev,
-               libknot-dev (>= 3.0.1),
+               libknot-dev (>= 3.0.2),
                liblmdb-dev,
                libluajit-5.1-dev,
                libnghttp2-dev,
@@ -41,9 +42,7 @@
 Rules-Requires-Root: no
 
 Package: knot-resolver
-# Doesn't build on s390x due to missing luajit
-#   https://github.com/LuaJIT/LuaJIT/issues/397
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
 Depends: adduser,
          debconf,
          dns-root-data,
@@ -74,7 +73,7 @@
  nodes depending on the contention without downtime.
 
 Package: knot-resolver-module-http
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
 Multi-Arch: same
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,
