## knot-resolver 5.6.0

=== meson_options.txt ===
--- 
+++ 
@@ -149,6 +149,18 @@
   ],
   value: 'auto',
   description: 'build dnstap module',
+)
+
+option(
+  'malloc',
+  type: 'combo',
+  choices: [
+    'auto',     # 'jemalloc' if available
+    'disabled', # default provided by libc
+    'jemalloc',
+  ],
+  value: 'auto',
+  description: 'memory allocator to use in kresd',
 )
 
 option(
