=== debian/changelog ===
knot-resolver (5.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add po file into Brazilian Portuguese translation. (Closes: #1025987)
  * debian/control
    - Bump Standards-Version 4.6.2

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 22 Jun 2023 23:16:56 -0300

knot-resolver (5.6.0-1) unstable; urgency=medium

  * New upstream release
  * New Build-Depends: libjemalloc-dev
  * Remove years from CZ.NIC copyright

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 26 Jan 2023 21:41:02 +0100

knot-resolver (5.5.3-1) unstable; urgency=medium

  * New upstream release
    - Resolves CVE-2022-40188

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 22 Sep 2022 05:34:20 +0000

knot-resolver (5.5.2-1) unstable; urgency=medium

  * New upstream release with support for Knot DNS >= 3.2.0
  * Remove ppc64 arch without luajit

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 02 Sep 2022 13:05:58 +0000
