=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: knot-resolver
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
+Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Santiago Ruano Rincón <santiago@debian.org>,
@@ -16,6 +15,7 @@
                libedit-dev,
                libfstrm-dev,
                libgnutls28-dev,
+               libjemalloc-dev,
                libknot-dev (>= 3.0.2),
                liblmdb-dev,
                libluajit-5.1-dev,
@@ -35,14 +35,14 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                socat <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
 Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
 Rules-Requires-Root: no
 
 Package: knot-resolver
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
 Depends: adduser,
          debconf,
          dns-root-data,
@@ -73,7 +73,7 @@
  nodes depending on the contention without downtime.
 
 Package: knot-resolver-module-http
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
 Multi-Arch: same
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,
