## knot-resolver 5.7.0

=== debian/changelog ===
knot-resolver (5.7.0-1build1) noble; urgency=medium

  * Rebuild against latest knot

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 09:37:41 -0400

knot-resolver (5.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 22 Aug 2023 15:39:48 +0200
