## knot-resolver 5.7.2

=== debian/changelog ===
knot-resolver (5.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Apr 2024 07:26:43 +0200

knot-resolver (5.7.1-1) unstable; urgency=medium

  * New upstream release
    - Mitigates CVE-2023-50387 "KeyTrap"

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 14 Feb 2024 15:30:06 +0100
