=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                socat <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
 Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
