## knot-resolver 5.7.3

=== debian/changelog ===
knot-resolver (5.7.3-1) unstable; urgency=medium

  * New upstream release
  * Remove unneeded lintian-overrides
  * d/copyright: Remove obsolete lib/generic/map entry
  * Update debian/watch to only watch for v5 archives

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Jun 2024 19:47:29 +0200
