## knot-resolver 5.7.4

=== tests/integration/deckard/requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 python-augeas
 pytest>=3.4
 pytest-xdist
+pytest-forked
 pyroute2
