=== debian/changelog ===
knot-resolver (5.7.4-2build1) plucky; urgency=medium

  * No-change rebuild for libknot15

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 12 Nov 2024 20:19:56 +0000

knot-resolver (5.7.4-2) unstable; urgency=medium

  * Team upload.
  * Install remaining systemd links in /lib into /usr/lib (Closes: #1073675)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 11 Aug 2024 11:32:31 +0200

knot-resolver (5.7.4-1) unstable; urgency=medium

  * New upstream release
  * Update my email in Uploaders to jru@debian.org

 -- Jakub Ružička <jru@debian.org>  Wed, 24 Jul 2024 17:49:22 +0200

knot-resolver (5.7.3-2) unstable; urgency=low

  * Move systemd files to /usr/lib/ (Closes: #1073675)
  * Enable ARM builds on salsa CI

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 16 Jul 2024 13:26:43 -0300
