## knot-resolver 5.7.5

=== meson_options.txt ===
--- 
+++ 
@@ -217,3 +217,15 @@
   value: 'auto',
   description: 'cmocka unit tests',
 )
+
+option(
+  'install_rpath',
+  type: 'combo',
+  choices: [
+    'auto',
+    'enabled',
+    'disabled',
+  ],
+  value: 'auto',
+  description: 'add rpath to the knot resolver executables',
+)
