=== debian/changelog ===
knot-resolver (5.7.5-1) unstable; urgency=medium

  * New upstream release

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Jakub Ružička <jru@debian.org>  Thu, 24 Apr 2025 16:59:01 +0200
