=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Santiago Ruano Rincón <santiago@debian.org>,
-           Jakub Ružička <jakub.ruzicka@nic.cz>
+           Jakub Ružička <jru@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dns-root-data,
                doxygen,
