=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,8 @@
 		-Ddnstap=enabled \
 		-Dunit_tests=enabled \
 		-Dconfig_tests=$(CONFIG_TESTS) \
-		-Dextra_tests=disabled
+		-Dextra_tests=disabled \
+		-Dmalloc=jemalloc
 
 override_dh_auto_build:
 	dh_auto_build -- doc
