=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://secure.nic.cz/files/knot-resolver/ \
(?:|.*/)@PACKAGE@-(5\.[\d.]*)@ARCHIVE_EXT@
