## knot-resolver 6.0.10

=== debian/changelog ===
knot-resolver (6.0.10-1) experimental; urgency=medium

  * New upstream release
  * Add Recommends: python3-watchdog
  * Add new kresctl bash completions

 -- Jakub Ružička <jru@debian.org>  Mon, 20 Jan 2025 16:01:49 +0100

knot-resolver (6.0.9-1) experimental; urgency=medium

  * New major version 6 (6.0.x marks alpha). (Closes: #1068951)
  * Rename to knot-resolver6 to prevent unwanted upgrades
    as there is no upgrade path (new declarative config format).
  * Docs disabled due to missing dep python3-json-schema-for-humans.
  * Sync with upstream packaging.

  [ Daniel Baumann ]
  * Running 'wrap-and-sort -bast' for git friendlier formatting of debian
    packaging files.
  * Harmonizing file paths in debhelper files.
  * Removing dh_missing override, 'fail-missing' is default behaviour.
  * Removing obsolete doc-base support.
  * Using useradd from passwd instead of adduser to avoid the extra dependency.
  * Removing explicit debug package, they get automatically generated.
  * Prefixing debhelper files with package name rather than to rely on
    implicit debhelper behaviour.
  * Removing unneeded manual debconf dependencies.
  * Removing unused debconf po files for now.
  * Synchronising copyright with upstream.
  * Readding debian/missing-sources references in copyright.

 -- Jakub Ružička <jru@debian.org>  Wed, 20 Nov 2024 14:10:34 +0100
