## knot-resolver 6.0.13

=== debian/changelog ===
knot-resolver (6.0.13-1) experimental; urgency=medium

  * New upstream release

 -- Jakub Ružička <jru@debian.org>  Thu, 29 May 2025 14:17:15 +0200

knot-resolver (6.0.12-1) experimental; urgency=medium

  * New upstream release

 -- Jakub Ružička <jru@debian.org>  Fri, 25 Apr 2025 14:38:22 +0200
