## knot-resolver 6.0.14

=== debian/changelog ===
knot-resolver (6.0.14-1) experimental; urgency=medium

  * New upstream release (Closes: #1109278)

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Jul 2025 17:01:45 +0200
