## knot-resolver 6.0.15

=== meson_options.txt ===
--- 
+++ 
@@ -35,8 +35,8 @@
     'enabled',
     'disabled',
   ],
-  value: 'auto',
-  description: 'creates kresd.conf in config directory',
+  value: 'disabled',
+  description: 'creates kresd.conf in config directory (legacy for version before 6)',
 )
 
 option(
@@ -101,6 +101,16 @@
   description: 'installs systemd-related files',
 )
 
+option(
+  'systemd_legacy_units',
+  type: 'combo',
+  choices: [
+    'disabled',
+    'enabled',
+  ],
+  value: 'disabled',
+  description: 'installs legacy systemd units for running without manager, like with versions before 6',
+)
 
 # Component options
 option(
@@ -113,18 +123,6 @@
   ],
   value: 'disabled',
   description: 'build benchmarks',
-)
-
-option(
-  'client',
-  type: 'combo',
-  choices: [
-    'auto',
-    'enabled',
-    'disabled',
-  ],
-  value: 'auto',
-  description: 'build kresc client binary',
 )
 
 option(
