=== tests/pytests/requirements.txt ===
dnspython
jinja2
pytest
pytest-html
pytest-xdist
