=== tests/integration/deckard/requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 pytest-xdist
 pytest-forked
 pyroute2
+lief
