=== debian/changelog ===
knot-resolver (6.0.15-4build1) resolute; urgency=medium

  * No-change rebuild for libknot16.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Oct 2025 19:15:44 +0000

knot-resolver (6.0.15-4) unstable; urgency=medium

  * Rebuild to trigger transition after removal of v5 packages
  * Disable no longer working ARM jobs in Salsa CI
  * Drop allow_failure for lintian Salsa CI
  * Use recommended invocation of Salsa CI

 -- Jakub Ružička <jru@debian.org>  Fri, 24 Oct 2025 16:12:55 +0200

knot-resolver (6.0.15-3) unstable; urgency=medium

  * Use Architecture: any for all subpackages

 -- Jakub Ružička <jru@debian.org>  Mon, 13 Oct 2025 06:51:01 +0200

knot-resolver (6.0.15-2) unstable; urgency=medium

  * New major version 6
  * Backport from debian/experimental (merge unviable due to divergence)
  * Rename to knot-resolver6 to prevent unwanted upgrades
    as there is no upgrade path (new declarative config format).
  * Docs disabled due to missing dep python3-json-schema-for-humans.
  * Sync with upstream packaging.
  * Add Recommends: python3-watchdog
  * Add new kresctl bash completions.
  * Don't refer to FSF physical address in debian/copyright
  * Remove redundant Rules-Requires-Root: no
  * Update Standards-Version to latest 4.7.2 (no changes)

  [ Daniel Baumann ]
  * Running 'wrap-and-sort -bast' for git friendlier formatting of debian
    packaging files.
  * Harmonizing file paths in debhelper files.
  * Removing dh_missing override, 'fail-missing' is default behaviour.
  * Removing obsolete doc-base support.
  * Using useradd from passwd instead of adduser to avoid the extra dependency.
  * Removing explicit debug package, they get automatically generated.
  * Prefixing debhelper files with package name rather than to rely on
    implicit debhelper behaviour.
  * Removing unneeded manual debconf dependencies.
  * Removing unused debconf po files for now.
  * Synchronising copyright with upstream.
  * Readding debian/missing-sources references in copyright.

 -- Jakub Ružička <jru@debian.org>  Fri, 10 Oct 2025 14:00:17 +0200
