=== debian/tests/control ===
Tests: roundtrip
Depends:
 gnutls-bin,
 knot-dnsutils,
 knot-resolver,
 socat,
Restrictions: needs-root, skip-not-installable
