## knot-resolver 6.0.17

=== debian/changelog ===
knot-resolver (6.0.17-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.17.
  * Merging debian version 6.0.17-1.
  * Removing domainname-validation-strictness.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Dec 2025 17:43:49 +0100

knot-resolver (6.0.17-1) unstable; urgency=medium

  * New upstream release
  * Install new fallback.lua kresd module
  * Add protobuf-compiler to Build-Depends

 -- Jakub Ružička <jru@debian.org>  Tue, 02 Dec 2025 16:02:59 +0100

knot-resolver (6.0.15-4~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
    - Adding patch from upstream to fix validation strictness for
      DomainName.
  * Merging debian version 6.0.15-4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 25 Oct 2025 08:18:51 +0200

knot-resolver (6.0.15-3~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
    - Adding patch from upstream to fix validation strictness for
      DomainName.
  * Merging debian version 6.0.15-3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Oct 2025 19:18:50 +0200

knot-resolver (6.0.15-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
    - Adding patch from upstream to fix validation strictness for
      DomainName.
  * Merging debian version 6.0.15-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Oct 2025 19:17:50 +0200

knot-resolver (6.0.15-1~progress8.99u2) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Adding patch from upstream to fix validation strictness for
    DomainName.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jul 2025 10:59:08 +0200

knot-resolver (6.0.15-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.15.
  * Merging debian version 6.0.15-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 18 Jul 2025 23:50:44 +0200

knot-resolver (6.0.14-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.14.
  * Merging debian version 6.0.14-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Jul 2025 06:10:48 +0200

knot-resolver (6.0.13-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.13.
  * Merging debian version 6.0.13-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:24:02 +0200

knot-resolver (6.0.12-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.12.
  * Merging debian version 6.0.12-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:23:09 +0200

knot-resolver (6.0.10-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.10.
  * Merging debian version 6.0.10-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:22:45 +0200

knot-resolver (6.0.9-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Setting Restart to always in systemd unit.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:21:28 +0200
