=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: knot-resolver
 Section: net
 Priority: optional
-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
+XSBC-Original-Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Santiago Ruano Rincón <santiago@debian.org>,
  Jakub Ružička <jru@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -30,6 +33,7 @@
  meson,
  ninja-build,
  pkgconf,
+ protobuf-compiler,
  protobuf-c-compiler,
  python3,
  python3-dev,
@@ -37,8 +41,10 @@
  socat <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://www.knot-resolver.cz/
-Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
-Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports/knot-resolver
+Vcs-Git: https://git.progress-linux.org/horok-backports/knot-resolver
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
+XSBC-Original-Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
 
 Package: knot-resolver6
 Architecture: any
